Skip to content

List smartbilling grouped order statements ​

GET
/v1/internal/smartbilling/groupedorderstatement

Retrieve grouped order statements from smartbilling.

Portal/distributor users are scoped to their own distributor_id.

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
batch_group_id
Type
string
bookingorder_id
Type
string
bookingorder_ids
Default
null
invoice_id
Type
string
distributor_id
Type
string

Responses​

OK

application/json
JSON
{
  
"groupedorderstatements": [
  
  
{
  
  
  
"version": 1,
  
  
  
"created": null,
  
  
  
"updated": null,
  
  
  
"deleted": null,
  
  
  
"created_by": null,
  
  
  
"updated_by": null,
  
  
  
"deleted_by": null,
  
  
  
"metadata": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"salesorder_id": "string",
  
  
  
"salesorder_model": null,
  
  
  
"distributor_id": "string",
  
  
  
"bookingorder_id": "string",
  
  
  
"batch_group_id": null,
  
  
  
"invoice_date": "string",
  
  
  
"invoiced_date": null,
  
  
  
"invoice_id": "string",
  
  
  
"totals": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"amount": null,
  
  
  
"due_date": null,
  
  
  
"invoice_reference": null
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​